Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io
Interface Parser

All Superinterfaces:
  Options

All Known Implementing Classes:
  AbstractOWLParser, OWLRDFParser

public interface Parser
extends Options

Parse some concrete representation into an OWL data structure. Created: Thu Dec 19 15:55:21 2002

Version:
  $Id: Parser.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`OWLConnection` | `getConnection()` Get the connection used to create new ontologies.
`OWLOntology` | `parseOntology(Reader reader, URI physicalURI)` Parse from the given reader and return a new ontology object based on the connection that the parser knows about.
`OWLOntology` | `parseOntology(URI uri)` Parse from the given URI and return a new ontology object based on the connection that the parser knows about.
`void` | `setConnection(OWLConnection connection)` Set the connection used to create new ontologies.

Methods inherited from interface org.semanticweb.owl.io.Options
`getOptions, setOptions`

Method Detail

### setConnection

    public void setConnection(OWLConnection connection)

  Set the connection used to create new ontologies. Implementations of this interface may choose to provide access to a default implementation. If required, however, the implementation used can be directly set using this method.

### getConnection

    public OWLConnection getConnection()

  Get the connection used to create new ontologies.

### parseOntology

    public OWLOntology parseOntology(Reader reader,
                                     URI physicalURI)
                              throws ParserException

  Parse from the given reader and return a new ontology object based on the connection that the parser knows about. We also require that a physical URI is provided for the resulting ontology.

    `ParserException`

### parseOntology

    public OWLOntology parseOntology(URI uri)
                              throws ParserException

  Parse from the given URI and return a new ontology object based on the connection that the parser knows about.

    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb